:root {
    --header-info-bar-height: 50px;
    --header-info-bar-border: var(--header-border);

    @include mobile {
        --header-info-bar-height: 28px;
    }

    .prm {
        --header-info-bar-border: 1px solid var(--grey-1-color);

        @include tablet {
            --header-info-bar-height: 28px;
        }
    }
}

.Header-InfoBar {
    height: var(--header-info-bar-height);
    background: var(--header-background);

    ul {
        display: flex;
        height: var(--header-info-bar-height);
        max-width: var(--wide-content-wrapper-width);
        margin: 0 auto;
        justify-content: space-between;
        color: $white;

        @include after-mobile {
            border-right: var(--header-info-bar-border);
            border-left: var(--header-info-bar-border);
        }

        &_isHidden {
            display: none;

            @include after-mobile {
                .forceHeaderInfoBarHidden {
                    /* stylelint-disable-next-line length-zero-no-unit */
                    --header-info-bar-height: 0px;
                }
            }
        }

        > li {
            height: 100%;
            padding: 0;
            margin: auto 0;
            font-weight: 500;
            text-align: center;
            line-height: 48px;
            white-space: nowrap;

            @include mobile {
                width: 100%;
                font-size: 10px;
                line-height: 30px;
            }

            &:nth-child(1) {
                @include after-mobile {
                    width: 383px;
                    border-right: var(--header-info-bar-border);
                }

                @include tablet {
                    width: 267px;
                }
            }

            &:nth-child(3) {
                @include after-mobile {
                    width: 384px;
                    border-left: var(--header-info-bar-border);
                }

                @include tablet {
                    width: 256px;
                }
            }

            &:last-child {
                margin: auto 0;
            }

            &::before {
                display: none;
            }
        }
    }

    &_isHidden {
        display: none;
    }
}
